アカウント支払い

GET https://qrcloud.online/api/payments/
curl --request GET \
--url 'https://qrcloud.online/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
processor オプション 文字列 許可された値: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status オプション 文字列 許可された値: paid, pending, cancelled, refunded
type オプション 文字列 許可された値: one_time, recurring
frequency オプション 文字列 許可された値: monthly, quarterly, biannual, annual, lifetime
datetime_field オプション 文字列 許可された値: datetime
datetime_start オプション 文字列 この日時からフィルタ結果を開始します。Y-m-d H:i:s形式。
datetime_end オプション 文字列 この日時までの結果をフィルタリングします。 Y-m-d H:i:s 形式。
order_by オプション 文字列 結果をどのフィールドで並べ替えるか。許可される値は id, datetime, total_amount です。
order_type オプション 文字列 結果の順序。許可される値は: ASC 昇順の並び替え用、および DESC 降順の並び替え用。
page オプション 整数 求めるページ番号からの結果です。デフォルトは1です。
results_per_page オプション 整数 1ページあたりに表示したい結果の数。許可されている値は: 10, 25, 50, 100, 250, 500, 1000です。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-05-20 05:34:32",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://qrcloud.online/api/payments?page=1",
        "last": "https://qrcloud.online/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://qrcloud.online/api/payments?page=1"
    }
}
GET https://qrcloud.online/api/payments/{payment_id}
curl --request GET \
--url 'https://qrcloud.online/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-05-20 05:34:32",
    }
}